For the complete documentation index, see llms.txt. This page is also available as Markdown.

Получение сведений о переводе

Получение подробной информации о переводе

Get transaction screening details

get

Fetch the latest screening profile and alerts for one transfer.

Authorizations
API-KeystringRequired
Path parameters
transfer_idstringRequired

The transfer ID. Obtain this value from the transferId field in the response of Get transfers of a transaction.

Example: 1_0xde64ab6dccf27bda99fa7efdc2fcc58475859dae4fd95a8da267dc0994ab5971_0
Query parameters
includeDetailsbooleanOptional

Whether to include the deprecated riskDetail field on every alert. Defaults to false. The riskProfile summary is always returned regardless of this flag.

Example: false
Responses
200

Response. A non-zero code indicates a business error even when the HTTP status is 200.

application/json
codeintegerOptional

The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.

Example: 0
msgstringOptional

The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.

Example: Success
get/transactions/details/{transfer_id}
GET /phalcon/compliance/v2/transactions/details/{transfer_id} HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Accept: */*
{
  "code": 0,
  "msg": "Success",
  "data": {
    "taskId": "9db261a3-4f1e-4027-b2f9-fa93f0adfda0",
    "hash": "0xd4da5a15914ab32e788ce77775ab8e28e9720921658497ebd0db69d3e352d734",
    "fromAddress": "0x4d960b26db12b11995b9005491ab1652206d64d5",
    "toAddress": "0xd37bbe5744d730a1d98d8dc97c42f0ca46ad7146",
    "fromAddressInfo": {
      "label": "Lazarus Group: Bybit Exploiter",
      "entity": "LAZARUS GROUP"
    },
    "toAddressInfo": {
      "label": "THORChain: THORChain Router v4.1.1",
      "entity": "Thorchain",
      "category": [
        "DEX"
      ]
    },
    "amount": "99.99982766",
    "token": "0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
    "tokenSymbol": "ETH",
    "riskLevel": 1,
    "riskLevelDescription": "critical",
    "lastScreenAt": 1786450262,
    "screeningCount": 1,
    "unresolvedAlerts": 3,
    "fromIsBlacklisted": false,
    "fromIsWhitelisted": false,
    "toIsBlacklisted": false,
    "toIsWhitelisted": false,
    "riskProfile": {
      "entityRisks": [
        {
          "type": "riskIndicator",
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "triggered": true,
          "alertIds": [
            "1a8b7726-c46b-4d8d-a047-9e11690febe3"
          ],
          "riskIndicator": 1,
          "riskIndicatorDescription": "Sanctioned",
          "detail": [
            "OFAC Sanctioned"
          ],
          "address": "0x4d960b26db12b11995b9005491ab1652206d64d5"
        },
        {
          "type": "riskIndicator",
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "triggered": true,
          "alertIds": [
            "1a8b7726-c46b-4d8d-a047-9e11690febe3"
          ],
          "riskIndicator": 3,
          "riskIndicatorDescription": "Scam",
          "detail": [
            "LAZARUS GROUP"
          ],
          "address": "0x4d960b26db12b11995b9005491ab1652206d64d5"
        },
        {
          "type": "riskIndicator",
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "triggered": true,
          "alertIds": [
            "1a8b7726-c46b-4d8d-a047-9e11690febe3"
          ],
          "riskIndicator": 2,
          "riskIndicatorDescription": "Attack",
          "detail": [
            "LAZARUS GROUP, Bybit Exploit"
          ],
          "address": "0x4d960b26db12b11995b9005491ab1652206d64d5"
        }
      ],
      "interactionRisks": [
        {
          "indicator": 1,
          "indicatorDescription": "Sanctioned",
          "direction": 1,
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "direct": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1,
            "triggered": true
          },
          "indirect": {
            "exposureValue": "0",
            "exposurePercent": 0,
            "triggered": false
          },
          "total": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1
          },
          "minHop": 1,
          "triggered": true,
          "alertIds": [
            "61f20b9a-42cf-4d18-a926-9fcebc721494"
          ]
        },
        {
          "indicator": 3,
          "indicatorDescription": "Scam",
          "direction": 1,
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "direct": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1,
            "triggered": true
          },
          "indirect": {
            "exposureValue": "0",
            "exposurePercent": 0,
            "triggered": false
          },
          "total": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1
          },
          "minHop": 1,
          "triggered": true,
          "alertIds": [
            "61f20b9a-42cf-4d18-a926-9fcebc721494"
          ]
        },
        {
          "indicator": 2,
          "indicatorDescription": "Attack",
          "direction": 1,
          "riskLevel": 1,
          "riskLevelDescription": "critical",
          "direct": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1,
            "triggered": true
          },
          "indirect": {
            "exposureValue": "0",
            "exposurePercent": 0,
            "triggered": false
          },
          "total": {
            "exposureValue": "193294.20475094343",
            "exposurePercent": 1
          },
          "minHop": 1,
          "triggered": true,
          "alertIds": [
            "61f20b9a-42cf-4d18-a926-9fcebc721494"
          ]
        }
      ],
      "behaviorRisks": [
        {
          "behaviorType": "LargeTransfer",
          "riskLevel": 4,
          "riskLevelDescription": "low",
          "triggered": true,
          "alertIds": [
            "c7a32e03-d7bb-400c-a7a8-566f7b569c66"
          ],
          "fields": {
            "value": "193294.20475094343",
            "amount": "99.99982766"
          }
        }
      ]
    },
    "alerts": [
      {
        "alertId": "1a8b7726-c46b-4d8d-a047-9e11690febe3",
        "status": 1,
        "statusDescription": "unresolved",
        "riskLevel": 1,
        "riskLevelDescription": "critical",
        "description": "Participant address(es) in transaction detected as: Sanctioned, Scam, Attack",
        "firstTriggeredAt": 1786450262,
        "lastUpdatedAt": 1786450262,
        "riskActivityTime": 1742371451,
        "riskEngineId": "ke_b55dde21df6740e8ab97d88005c84df5",
        "riskEngineName": "Transaction Involving Illicit Entities"
      },
      {
        "alertId": "61f20b9a-42cf-4d18-a926-9fcebc721494",
        "status": 1,
        "statusDescription": "unresolved",
        "riskLevel": 1,
        "riskLevelDescription": "critical",
        "description": "Exposed to Attack, Sanctioned, Scam address(es) in incoming transactions",
        "firstTriggeredAt": 1786450262,
        "lastUpdatedAt": 1786450262,
        "riskActivityTime": 1742371451,
        "riskEngineId": "ke_1366c73fe8384d1ebb09692cdbe21d7d",
        "riskEngineName": "Transaction Exposed to Illicit Entities"
      },
      {
        "alertId": "c7a32e03-d7bb-400c-a7a8-566f7b569c66",
        "status": 1,
        "statusDescription": "unresolved",
        "riskLevel": 4,
        "riskLevelDescription": "low",
        "description": "Large transfer of $193,294",
        "firstTriggeredAt": 1786450262,
        "lastUpdatedAt": 1786450262,
        "riskActivityTime": 1742371451,
        "riskEngineId": "ke_ff5ee510c49a4d7cbbdcb36b93bdf828",
        "riskEngineName": "Large Value Transfer Transaction"
      }
    ]
  }
}

Последнее обновление